Subject: Re: I-D Action:draft-axu-addr-sel-00.txt

From: Brian E Carpenter <[email-masked]>
Date: Tue, 25 Aug 2009 16:05:38 +1200

Hi,

> 2.2.  Autoconfiguration for Global Scope
...
>    This usually means that the next hop of that default route will only
>    be useable with the source address learned from that default router.

Can you be more explicit that any global scope routing table MAY
contain a default route and that the default route could be different
for each source address? (I do mean MAY; there might be source addresses
with no default route.)

> 2.3.  Site Local Scope

Since we abolished this for IPv6 and it is undefined for IPv4,
could you try a more neutral phrase such as

 2.3.  Limited Scope

(For some thoughts about limited scope,
see draft-carpenter-behave-referral-object.)

Then please define what you mean by it for IPv4 (RFC1918??)
and IPv6 (ULA??). Or do you mean whatever set of addresses
happens to be routed only inside some scope boundary? In many
corporate networks, that will be addresses appear to have global scope.

> 3.1.  Route and Table Preferences
...
>    In order to perform source address selection, only one destination
>    address SHOULD be presented to the algorithm, which will then look
>    for the address in all tables and sort the source addresses where it
>    was found according to the precedences.
> 
>    In order to perform destination address selection, only one source
>    address SHOULD be presented to the algorithm along with the set of
>    destination addresses.  The algorithm will then look for all the
>    given destination addresses in the table associated with the source
>    address and sort the results according to the precedences.

I see this as a bit of a problem. The underlying issue for
host-based multipath approaches (including shim6) is to pick
the best address pair, not to pick the best source given a
destination or vice versa. We should allow for such an algorithm
as well.

    Brian